package com.zt.plat.module.erp.service.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpAssetPageReqVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpAssetRespVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpAssetSaveReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpAssetDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * ERP资产卡片 Service 接口
 *
 * @author 后台管理
 */
public interface ErpAssetService {

    /**
     * 创建ERP资产卡片
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    ErpAssetRespVO createErpAsset(@Valid ErpAssetSaveReqVO createReqVO);

    /**
     * 更新ERP资产卡片
     *
     * @param updateReqVO 更新信息
     */
    void updateErpAsset(@Valid ErpAssetSaveReqVO updateReqVO);

    /**
     * 删除ERP资产卡片
     *
     * @param id 编号
     */
    void deleteErpAsset(Long id);

    /**
    * 批量删除ERP资产卡片
    *
    * @param ids 编号
    */
    void deleteErpAssetListByIds(List<Long> ids);

    /**
     * 获得ERP资产卡片
     *
     * @param id 编号
     * @return ERP资产卡片
     */
    ErpAssetDO getErpAsset(Long id);

    /**
     * 获得ERP资产卡片分页
     *
     * @param pageReqVO 分页查询
     * @return ERP资产卡片分页
     */
    PageResult<ErpAssetDO> getErpAssetPage(ErpAssetPageReqVO pageReqVO);

    void callErpRfcInterface();
}